<?php

namespace CmBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * RepositorioArchivos
 *
 * @ORM\Table(name="repositorio_archivos", indexes={@ORM\Index(name="cve_cat_rep", columns={"cve_cat_rep"})})
 * @ORM\Entity
 */
class RepositorioArchivos
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ide_rep_arc", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $ideRepArc;

    /**
     * @var string
     *
     * @ORM\Column(name="ruta_archivo", type="text", length=65535, nullable=true)
     */
    private $rutaArchivo = 'NULL';

    /**
     * @var integer
     *
     * @ORM\Column(name="estatus", type="smallint", nullable=false)
     */
    private $estatus = '1';

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_mov", type="date", nullable=false)
     */
    private $fecMov;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_cam", type="date", nullable=true)
     */
    private $fecCam = 'NULL';

    /**
     * @var \CatalogoRepositorio
     *
     * @ORM\ManyToOne(targetEntity="CatalogoRepositorio")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_cat_rep", referencedColumnName="ide_cat_rep")
     * })
     */
    private $cveCatRep;



    /**
     * Get ideRepArc
     *
     * @return integer
     */
    public function getIdeRepArc()
    {
        return $this->ideRepArc;
    }

    /**
     * Set rutaArchivo
     *
     * @param string $rutaArchivo
     *
     * @return RepositorioArchivos
     */
    public function setRutaArchivo($rutaArchivo)
    {
        $this->rutaArchivo = $rutaArchivo;
    
        return $this;
    }

    /**
     * Get rutaArchivo
     *
     * @return string
     */
    public function getRutaArchivo()
    {
        return $this->rutaArchivo;
    }

    /**
     * Set estatus
     *
     * @param integer $estatus
     *
     * @return RepositorioArchivos
     */
    public function setEstatus($estatus)
    {
        $this->estatus = $estatus;
    
        return $this;
    }

    /**
     * Get estatus
     *
     * @return integer
     */
    public function getEstatus()
    {
        return $this->estatus;
    }

    /**
     * Set fecMov
     *
     * @param \DateTime $fecMov
     *
     * @return RepositorioArchivos
     */
    public function setFecMov($fecMov)
    {
        $this->fecMov = $fecMov;
    
        return $this;
    }

    /**
     * Get fecMov
     *
     * @return \DateTime
     */
    public function getFecMov()
    {
        return $this->fecMov;
    }

    /**
     * Set fecCam
     *
     * @param \DateTime $fecCam
     *
     * @return RepositorioArchivos
     */
    public function setFecCam($fecCam)
    {
        $this->fecCam = $fecCam;
    
        return $this;
    }

    /**
     * Get fecCam
     *
     * @return \DateTime
     */
    public function getFecCam()
    {
        return $this->fecCam;
    }

    /**
     * Set cveCatRep
     *
     * @param \CmBundle\Entity\CatalogoRepositorio $cveCatRep
     *
     * @return RepositorioArchivos
     */
    public function setCveCatRep(\CmBundle\Entity\CatalogoRepositorio $cveCatRep = null)
    {
        $this->cveCatRep = $cveCatRep;
    
        return $this;
    }

    /**
     * Get cveCatRep
     *
     * @return \CmBundle\Entity\CatalogoRepositorio
     */
    public function getCveCatRep()
    {
        return $this->cveCatRep;
    }
}
